Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.util
Class Errors

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.util.Errors

All Implemented Interfaces:
  OWLValidationConstants

public class Errors
extends Object
implements OWLValidationConstants

A basic class for an OWL ontology processor. The processor will parse ontologies, and spit out alternative renderings of the ontologies. Command synopsis is as follows:

        java uk.ac.man.cs.img.owl.util.Processor [options] input [output]

where the options are:

        --abstract -a Produce OWL Abstract Syntax
        --tptp -t Produce TPTP
        --warn -w Report warnings & errors
        --renderer=className -r Use the given class for output.
        --impl=className -i Use the given class as the default implementation of OWLConnection.
        --validate[=lite|dl] -v Validate. If no level is given, validates as DL.
        --help -? Print help message

The `input` should be a URL. If output is requested (`` flags), then output will be written to `output` if present, stdout by default.

    $Id: Errors.java,v 1.5 2004/01/08 10:13:56 sean_bechhofer Exp $

Field Summary
`static int[]` | `allCodes` An array of all the possible error conditions that might occur

Fields inherited from interface org.semanticweb.owl.validation.OWLValidationConstants
`BUILTINREDEFINITION, CARDINALITY, COMPLEMENT, COMPLETE, COMPLEXTRANSITIVE, DATARANGE, DATATYPE, DIFFERENTINDIVIDUAL, DISJOINT, DL, EQUIVALENCE, EQUIVALENTPROPERTY, EXPRESSIONINAXIOM, EXPRESSIONINRESTRICTION, FULL, FUNCTIONAL, INDIVIDUALDATA, INDIVIDUALS, INTERSECTION, INVERSE, INVERSEFUNCTIONAL, LITE, ONEOF, OWLNAMESPACEUSED, PARTIAL, RELATEDINDIVIDUALS, SAMEINDIVIDUAL, SEPARATIONVIOLATION, SUBCLASS, SUBPROPERTY, SYMMETRIC, TRANSITIVE, UNION, UNKNOWN, UNTYPEDINDIVIDUAL, ZEROONECARDINALITY`

Constructor Summary
`Errors()`

Method Summary
`static String` | `pretty(int l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allCodes

    public static int[] allCodes

  An array of all the possible error conditions that might occur

Constructor Detail

### Errors

    public Errors()

Method Detail

### pretty

    public static String pretty(int l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb